
using System;
using System.Data;
using System.Collections.Generic;

using ZXDT.CallCenter.Model;
namespace ZXDT.CallCenter.BLL
{
	/// <summary>
	/// T_Good_TransGroup
	/// </summary>
	public partial class T_Good_TransGroup
	{
		private readonly ZXDT.CallCenter.DAL.T_Good_TransGroup dal=new ZXDT.CallCenter.DAL.T_Good_TransGroup();
		public T_Good_TransGroup()
		{}
		#region  BasicMethod

		

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int  Add(ZXDT.CallCenter.Model.T_Good_TransGroup model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(ZXDT.CallCenter.Model.T_Good_TransGroup model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int id)
		{
			
			return dal.Delete(id);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string idlist )
		{
			return dal.DeleteList(idlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public ZXDT.CallCenter.Model.T_Good_TransGroup GetModel(int id)
		{
			
			return dal.GetModel(id);
		}

	
		#endregion  BasicMethod
		
	}
}

